Bug 89999 - Move location of bsd.autotools.mk within bsd.port.mk + patches from PR ports/77359.
Move location of bsd.autotools.mk within bsd.port.mk + patches from PR ports/...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: portmgr
Depends on:
  Show dependency treegraph
Reported: 2005-12-05 22:30 UTC by thierry
Modified: 2006-01-21 19:55 UTC (History)
1 user (show)

See Also:

bsd.autotools.mk.diff (390 bytes, patch)
2005-12-05 22:30 UTC, thierry
no flags Details | Diff
file.diff (1.93 KB, patch)
2005-12-05 22:30 UTC, thierry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description thierry 2005-12-05 22:30:09 UTC
	A new port, graphics/gephex, submitted in PR ports/77359 requires
	some reorganization in bsd.port.mk and bsd.autotools.mk.

	See the history at <http://www.freebsd.org/cgi/query-pr.cgi?pr=77359>.

	Since that means a full test run, merge these patches with the one
	already included into PR ports/89265 (as seen with ade).

	Credit: these new patches have been written by Igor Pokrovsky
	(<ip (at) doom.homeunix.org>).

Fix: Please apply the following patches:
How-To-Repeat: 	- Try to build graphics/gephex from PR ports/77359: the included
	  libtool will be used;

	- Apply the hereunder patches and try again: it should be OK.
	(A full log is available at <http://pompo.net/ports/gephex-0.4.3b.log.bz2>)
Comment 1 Mark Linimon freebsd_committer 2005-12-05 22:32:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk change.
Comment 2 ade freebsd_committer 2005-12-05 22:39:12 UTC
Responsible Changed
From-To: portmgr->ade

Temporarily take this back for a bit.
Comment 3 ade freebsd_committer 2005-12-05 22:40:59 UTC
Responsible Changed
From-To: ade->portmgr

Now back over to portmgr for an -exp run.  I'd like to get this one 
scheduled relatively quickly, aiming to get it done before 5.5-REL.
Comment 4 Mark Linimon freebsd_committer 2005-12-16 04:04:04 UTC
State Changed
From-To: open->feedback

So are the lines in patch #2 to bsd.port.mk intended to be removed forever?
Comment 5 Mark Linimon freebsd_committer 2005-12-16 07:05:43 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 Mark Linimon freebsd_committer 2005-12-19 01:33:53 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 7 Mark Linimon freebsd_committer 2006-01-21 19:55:24 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.